awacs/appdns/urls.py
from django.urls import path

from . import views

app_name = "dns"
urlpatterns = [
    path('', views.IndexView.as_view(), name='index'),
]

awacs/awacs/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path("dns/",include('appdns.urls')),
    path("time/",include('worldtime.urls')),
    path("",include('index.urls')),
    path("admin/", admin.site.urls),
]

awacs/index/urls.py
from django.urls import path

from . import views

app_name = "index"
urlpatterns = [
    path('', views.IndexView.as_view(), name='index'),
]

awacs/worldtime/urls.py
from django.urls import path

from . import views

app_name = "worldtime"
urlpatterns = [
    path('', views.IndexView.as_view(), name='index'),
]

awacs/appdns/models.py
from django.db import models

# Create your models here.

awacs/appip/models.py
from django.db import models

# Create your models here.

awacs/index/models.py
from django.db import models

# Create your models here.

awacs/worldtime/models.py
from django.db import models

# Create your models here.

awacs/appdns/views.py
from django.contrib import messages
from django.shortcuts import render
from django.views import generic
from django.views.generic.base import TemplateView

import dns.name
import dns.resolver

class IndexView(TemplateView):
    template_name = 'dns/index.html'
    
    def get_context_data(self, **kwargs):
        resolver = dns.resolver.Resolver(configure=False)
        resolver.nameservers = ['8.8.8.8']
        answer = resolver.query('amazon.com', 'NS')
        msg = 'The nameservers are:<br>\n'
        for rr in answer:
            msg += f"{rr.target}<br>\n"
        return {'message':msg}

awacs/appip/views.py
from django.shortcuts import render

# Create your views here.

awacs/index/views.py
from django.contrib import messages
from django.shortcuts import render
from django.views import generic
from django.views.generic.base import TemplateView

# Create your views here.

class IndexView(TemplateView):
    template_name = 'index/index.html'
    
    # def get_context_data(self, **kwargs):
    #     context = super().get_context_data(**kwargs)
    #     messages.info(self.request, "hello http://example.com")
    #     return context

awacs/worldtime/views.py
from django.contrib import messages
from django.shortcuts import render
from django.views import generic
from django.views.generic.base import TemplateView

# Create your views here.

class IndexView(TemplateView):
    template_name = 'worldtime/index.html'
    

awacs/templates/base.html
{% extends 'bootstrap.html' %}

{% load bootstrap4 %}

{% block bootstrap4_before_content %}
<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
    <a class="navbar-brand" href="/">AWACS</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbars" aria-controls="navbars" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
  
    <div class="collapse navbar-collapse" id="navbars">
      <ul class="navbar-nav mr-auto">
        {% url 'dns:index' as x1 %}
        <li class="nav-item"{% if request.path in x1 %} class="active"{% endif %}>
          <a class="nav-link" href="{{x1}}">DNS Lookup</a>
        </li>
        {% url 'worldtime:index' as x2 %}
        <li class="nav-item"{% if request.path in x2 %} class="active"{% endif %}>
          <a class="nav-link" href="{{x2}}">World Time</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="dd1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Dropdown</a>
          <div class="dropdown-menu" aria-labelledby="dd1">
            <a class="dropdown-item" href="#">Action</a>
            <a class="dropdown-item" href="#">Another action</a>
            <a class="dropdown-item" href="#">Something else here</a>
          </div>
        </li>
      </ul>
      <form class="form-inline my-2 my-lg-0">
        <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
      </form>
    </div>
  </nav>  
{% endblock %}

{% block bootstrap4_content %}
    <main role="main">
        <div class="container">
        {{request.path}}
        <h1>{% block title %}(no title){% endblock %}</h1>

        {% autoescape off %}{% bootstrap_messages %}{% endautoescape %}

        {% block content %}(no content){% endblock %}
        </div>
    </main>
{% endblock %}

awacs/templates/bootstrap.html
<!DOCTYPE html>
{% load bootstrap4 %}
{% if 'use_i18n'|bootstrap_setting %}
    {% load i18n %}
    {% get_current_language as LANGUAGE_CODE %}
{% endif %}
<html lang="{{ LANGUAGE_CODE|default:'en_us' }}">
<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/favicon.ico">

    <!-- Page title -->
    <title>{% block bootstrap4_title %}{% block title %}{% endblock %}AWACS{% endblock %}</title>

    <!-- Bootstrap CSS -->
    {% bootstrap_css %}
    {% load static %}
    <link rel="stylesheet" href="{% static 'all.css' %}" >

    <!-- Bootstrap JavaScript if it is in head -->
    {% if 'javascript_in_head'|bootstrap_setting %}
        {% bootstrap_javascript %}
    {% endif %}
    {% block bootstrap4_extra_head %}{% endblock %}

</head>
<body>
{% block bootstrap4_before_content %}{% endblock %}
{% block bootstrap4_content %} CONTENT {% endblock %}
{% block bootstrap4_after_content %}{% endblock %}

<footer class="container">
    <p>&copy; 2019-2020</p>
</footer>

<!-- Bootstrap JavaScript if it is in body -->
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
{% if not 'javascript_in_head'|bootstrap_setting %}
    {% bootstrap_javascript %}
{% endif %}

{% block bootstrap4_extra_script %}{% endblock %}
</body>
</html>

awacs/templates/dns/index.html
{% extends 'base.html' %}
{% load bootstrap4 %}

{% block title %}DNS Tools{% endblock %}

{% block content %}
    {{message|safe}}
{% endblock %}

awacs/templates/index/index.html
{% extends 'base.html' %}
{% load bootstrap4 %}

{% block title %}Title Here!{% endblock %}

{% block content %}
    hello!

    <h2>Message: {{message}}</h2>
{% endblock %}

awacs/templates/worldtime/index.html
{% extends 'base.html' %}
{% load bootstrap4 %}

{% block title %}World Time{% endblock %}

{% block content %}
    Clock goes here
{% endblock %}